PINOT-SEARCH(1)

NAME
pinot-search - Query search engines from the command-line

SYNOPSIS
pinot-search [OPTIONS] SEARCHENGINETYPE SEARCHENGINENAME|SEARCHENGINEOPTION QUERYINPUT

DESCRIPTION
pinot-search - Query search engines from the command-line

OPTIONS

-h, --help
    display this help and exit

-m, --max
    maximum number of results (default 10)

-a, --proxyaddress
    proxy address

-p, --proxyport
    proxy port

-t, --proxytype
    proxy type (default HTTP, SOCKS4, SOCKS5)

-c, --tocsv
    file to export results in CSV format to

-x, --toxml
    file to export results in XML format to

-v, --version
    output version information and exit

-q, --xesamql
    query input is a file containing Xesam QL

-u, --xesamul
    query input is a file containing Xesam UL

Supported search engine types are googleapi opensearch sherlock xapian

EXAMPLES
pinot-search googleapi mygoogleapikey "clowns"

pinot-search opensearch /usr/local/share/pinot/engines/KrustyDescription.xml "clowns"

pinot-search --max 20 sherlock /usr/local/share/pinot/engines/Bozo.src "clowns"

pinot-search --max 10 xapian ~/.pinot/index "clowns"

pinot-search xapian somehostname:12345 "clowns"

REPORTING BUGS
Report bugs to fabricecolin@users.berlios.de

This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>. There is NO WARRANTY, to the extent permitted by law.